import { HorizontalAxisLabelPanelBase } from "./HorizontalAxisLabelPanelBase";
import { Point, Type } from "igniteui-angular-core";
import { AxisLabelPanelBaseView } from "./AxisLabelPanelBaseView";
import { Size } from "igniteui-angular-core";
import { FrameworkElement } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Rect } from "igniteui-angular-core";
import { AxisLabelsLocation } from "./AxisLabelsLocation";
import { HorizontalAxisLabelPanelBaseView } from "./HorizontalAxisLabelPanelBaseView";
/**
 * @hidden
 */
export declare class RadialAxisLabelPanel extends HorizontalAxisLabelPanelBase {
    static $t: Type;
    ae(): AxisLabelPanelBaseView;
    ck(a: AxisLabelPanelBaseView): void;
    dv: RadialAxisLabelPanelView;
    d1: Point;
    dy: number;
    protected get dw(): boolean;
    df(): boolean;
    protected dg(): boolean;
    b5(a: Size): void;
    bo(): number;
    de(): boolean;
    protected dd(): boolean;
    private dx;
    cp(a: FrameworkElement, b: number): void;
    protected d0(): number;
    protected dz(): number;
    protected dt(a: List$1<Rect>, b: List$1<boolean>): void;
    au(a: number, b: Rect): boolean;
    protected du(): void;
    ai(): AxisLabelsLocation;
    a1(a: AxisLabelsLocation): boolean;
    protected cc(): void;
}
/**
 * @hidden
 */
export declare class RadialAxisLabelPanelView extends HorizontalAxisLabelPanelBaseView {
    static $t: Type;
    protected a3: RadialAxisLabelPanel;
    constructor(a: RadialAxisLabelPanel);
    a6(a: FrameworkElement, b: number, c: number): void;
    a5(): void;
    a4(a: Size): void;
    protected am(): void;
}
